/* Anchor Cell Polarity at the P6.p 2-cell stage
 *  this a macro to quickly calculate polarity in the AC for a one-channel image. It will return 
 *  two lines of results.
 *  
 * Line 1 is the apical domain of the AC
 * Line 2 is the invasive membrane
 *  
 * IMPORTANT: Change the code in line 15 to match proper pixel size:
 * IMPORTANT: Ensure freehand lines are 5-pixels wide. The code on line 41 does not work for all versions of Fiji
 */
image=getTitle;
n=nSlices;
run("Set Measurements...", "area mean integrated redirect=None decimal=3");
run("Properties...", "channels=1 slices=n frames=1 unit=µm pixel_width=.15 pixel_height=.15 voxel_depth=0.5000000");
roiManager("Reset");
//calculate polarity of a single slice of the AC
waitForUser("select the center-most slice of the AC");
run("Duplicate...", "title=slice");
selectWindow("slice");
run("Subtract Background...", "rolling=100");
//run("Brightness/Contrast...");
resetMinAndMax();
selectWindow("slice");
setTool("point");
waitForUser("mark the AC");
run("To Selection");
run("Out [-]");
run("Out [-]");
run("Out [-]");
run("Out [-]");
run("Out [-]");
setTool("freeline");
setLineWidth(5);
waitForUser("draw a line along the apical membrane.");
run("Measure");
waitForUser("draw a line along the invasive membrane.");
run("Measure");
run("Close All");